For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact SalesGet Support
HomeGuidesAPI reference
HomeGuidesAPI reference
  • Middesk API
        • GETList registration requests
        • POSTCreate a registration request
        • GETRetrieve a registration request
        • DELDelete a registration request
        • GETFetch guest dashboard link for a registration request
LogoLogo
Contact SalesGet Support
Middesk APIEntity ManagementRegistration Requests

Retrieve a registration request

GET
https://api.middesk.com/v1/partner/registration_requests/:id
GET
/v1/partner/registration_requests/:id
$curl https://api.middesk.com/v1/partner/registration_requests/id \
> -H "Authorization: Bearer <token>"
1{
2 "object": "registration_request",
3 "id": "153b6874-992f-4dea-a6ff-12c142fcd865",
4 "state": "CO",
5 "status": "pending",
6 "tax_registration_types": [
7 "state_unemployment_insurance",
8 "state_tax_withholdings"
9 ],
10 "company_id": "1432d966-edd3-4245-863a-a114aa6f2140",
11 "created_at": "2025-12-26T21:48:24Z",
12 "agencies": [
13 {
14 "key": "value"
15 }
16 ],
17 "items": [
18 {
19 "key": "value"
20 }
21 ],
22 "invite_link": "https://agent.middesk.com/invitations?guest_token=698095f6434310507d7d4aeb2b559879",
23 "external_id": "external"
24}
Was this page helpful?
Previous

Delete a registration request

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
Registration Request ID

Response

registration request found
objectstring
idstringformat: "uuid"
stateenum
US state abbreviation
statusstring
Request status
tax_registration_typeslist of strings or null
Types of tax registrations requested
company_idstringformat: "uuid"
created_atstring
agencieslist of maps from strings to any
Tax agency registrations
itemslist of maps from strings to any
Registration items
invite_linkstringformat: "uri"
external_idstring or null
submitted_atstring or null
tax_registrationmap from strings to any or null
Tax registration details

Errors

404
Get Registration Request Request Not Found Error